### Method

# Pos VkDriver key_down

#### Declaration [src]

    void
    pos_vk_driver_key_down (
      PosVkDriver* self,
      const char* key,
      PosKeycodeModifier modifiers
    )

#### Description [src]

Submits a key via the virtual keyboard protocol. This handles capital letters implicitly by adding the correctmodifier. Same is true for several special letters on the terminal layout that require AltGr.

One can pass additional modifiers to trigger e.g. <ctrl>+<character> compbos.

#### Parameters

`key`

  Type: `const char*`

  The key to press.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`modifiers`

  Type: `PosKeycodeModifier`

  Additional modifiers.